<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.admin_url}} placeholder
 */
class IG_ES_Variable_Order_Admin_Url extends IG_ES_Workflow_Variable {


	/**
	 * Load admin details
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the admin URL of the order.', 'email-subscribers' );
	}


	/**
	 * Get order edit URL
	 *
	 * @param \WC_Order $order
	 * @param array     $parameters
	 *
	 * @return mixed
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_edit_order_url();
	}
}

return new IG_ES_Variable_Order_Admin_Url();
