<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.id}} placeholder
 */
class IG_ES_Variable_WC_Order_ID extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the order\'s unique ID.', 'email-subscribers' );
	}


	/**
	 * Get order id from order
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_id();
	}
}

return new IG_ES_Variable_WC_Order_ID();
