<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.order_number}} placeholder
 */
class IG_ES_Variable_Order_Number extends IG_ES_Workflow_Variable {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the order number.', 'email-subscribers' );
	}


	/**
	 * Get order number
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_order_number();
	}
}

return new IG_ES_Variable_Order_Number();
