<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{comment.id}} placeholder
 */
class IG_ES_Variable_Comment_ID extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the ID of the comment.', 'email-subscribers' );
	}


	/**
	 * Get comment id form comment object
	 * 
	 * @param $comment WP_Comment
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $comment, $parameters ) {
		return $comment->comment_ID;
	}
}

return new IG_ES_Variable_Comment_ID();
