<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Variable class to get value for {{shop.title}} placeholder
 */
class IG_ES_Variable_Shop_Title extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( "Displays your shop's title.", 'email-subscribers');
	}

	/**
	 * Get placeholder value
	 * 
	 * @param $parameters
	 * @return string
	 */
	public function get_value( $parameters ) {
		return get_bloginfo( 'name' );
	}
}

return new IG_ES_Variable_Shop_Title();
